ProxyPortCollection Class

class NXOpen.Routing.ProxyPortCollection

Bases: object

Represents a collection of NXOpen.Routing.ProxyPort objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

New in version NX8.0.0.

Methods

Method Description
CreateProxyPort Creates a ProxyPort with a rotation vector at an absolute location.

Method Detail

CreateProxyPort

ProxyPortCollection.CreateProxyPort

Overloaded method CreateProxyPort

  • CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle)
  • CreateProxyPort(origin, alignmentVector)
  • CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point)
  • CreateProxyPort(origin, alignmentVector, point)
  • CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis)
  • CreateProxyPort(origin, alignmentVector, derivationObject)
  • CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, allowMultipleConnections)
  • CreateProxyPort(origin, alignmentVector, allowMultipleConnections)
  • CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point, allowMultipleConnections)
  • CreateProxyPort(origin, alignmentVector, point, allowMultipleConnections)
  • CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis, allowMultipleConnections)
  • CreateProxyPort(origin, alignmentVector, derivationObject, allowMultipleConnections)

-------------------------------------

Creates a ProxyPort with a rotation vector at an absolute location. Default allows multiple connections to this port.

Signature CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the proxy port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the proxy port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the proxy port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with no rotation vector at an absolute location. Default allows multiple connections to this port.

Signature CreateProxyPort(origin, alignmentVector)

Parameters:
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with a rotation vector at a point. Default allows multiple connections to this port.

Signature CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the proxy port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the proxy port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the proxy port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • point (NXOpen.Point) – Proxy Port derived from this point
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with no rotation vector at a point. Default allows multiple connections to this port.

Signature CreateProxyPort(origin, alignmentVector, point)

Parameters:
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with a rotation vector on an axis. Default allows multiple connections to this port.

Signature CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the proxy port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the proxy port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the proxy port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • axis (NXOpen.Axis) – Proxy Port derived from this axis
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with no rotation vector on an axis. Default allows multiple connections to this port.

Signature CreateProxyPort(origin, alignmentVector, derivationObject)

Parameters:
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with a rotation vector at an absolute location

Signature CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the proxy port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the proxy port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the proxy port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with no rotation vector at an absolute location

Signature CreateProxyPort(origin, alignmentVector, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the proxy port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the proxy port
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with a rotation vector at a point

Signature CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, point, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the proxy port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the proxy port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the proxy port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • point (NXOpen.Point) – Proxy Port derived from this point
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with no rotation vector at a point

Signature CreateProxyPort(origin, alignmentVector, point, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the proxy port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the proxy port
  • point (NXOpen.Point) – Proxy Port derived from this point
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with a rotation vector on an axis

Signature CreateProxyPort(origin, alignmentVector, rotationVector, rotationObject, clockAngle, axis, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the proxy port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the proxy port
  • rotationVector (NXOpen.Vector3d) – Rotation Vector of the proxy port
  • rotationObject (NXOpen.DisplayableObject) – Rotation derivation object, may be NXOpen.DisplayableObject.NULL
  • clockAngle (float) – Clock angle increment in degrees for the rotation vector
  • axis (NXOpen.Axis) – Proxy Port derived from this axis
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Creates a ProxyPort with no rotation vector on an axis

Signature CreateProxyPort(origin, alignmentVector, derivationObject, allowMultipleConnections)

Parameters:
  • origin (NXOpen.Point3d) – Origin of the proxy port
  • alignmentVector (NXOpen.Vector3d) – Alignment vector of the proxy port
  • derivationObject (NXOpen.Axis) – Proxy Port derived from this axis
  • allowMultipleConnections (bool) – Does this fitting port allow multiple wires to be routed to it?
Returns:

Return type:

NXOpen.Routing.ProxyPort

New in version NX8.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------